# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "shell-color"
version = "1.0.1"
authors = ["Chay Nabors (chaynabors@gmail.com)"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "`shell-color` provides a portable, reliable way of determining color support for applications spawned by the shell."
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://codeberg.org/chaynabors/shell-color"

[lib]
name = "shell_color"
path = "src/lib.rs"

[dependencies.bitflags]
version = "2.9.0"

[dependencies.nu-ansi-term]
version = "0.50.1"

[dependencies.nu-color-config]
version = "0.104.0"
